{% extends 'base_fullwidth_leaflet.html' %}
{% load leaflet_tags i18n static crispy_forms_tags django_tables2 geojson_tags %}
{% leaflet_js %} {% leaflet_css %}
{% block jsvar %} {% endblock %}
{% block title %}{{ title | safe }}{% endblock %}
{% block content %}
<style>

</style>

<div id="ModelSearch">
  <h1>
    <span class="btn btn-group pull-right">
      <a href="{% url 'sights:place_create' %}" class="btn btn-success"><i
          class="fa fa-fw fa-map-marker-alt"></i><strong>
          {% trans 'Créer une localité' %}</strong></a>
    </span>
    <i class="{{ icon | safe }}"></i> {{ title | safe }}
  </h1>
  <div class="row">
    <div class="col col-xs-12 col-sm-4 col-md-3 col-lg-2">
      <div class="panel">
        <div class="panel-body searchBlock">
          <span class="label label-success pull-right">[[data.count ? data.count : 0]] résultats</span>
          <p class=" text-info"> <i class="fa fa-search fa-fw"></i>Rechercher</p>
          <form v-on:keyup.enter="search()">
            <div class="form-group form-group-sm">
              <label for="searchSearch">Nom</label>
              <input class="form-control" id="searchSearch" type="text" placeholder="Nom" v-model="filters.name">
            </div>
            <div class="form-group">
              <label class="control-label" for="Area">Zonage</label>
              <p class="help-block">limites administratives, espaces naturels, etc.</p>
              <dict-select :options="dicts.AreaType" v-model="area_type" placeholder="Type de zonage"/>
            </div>
            <div class="form-group">
              <area-select id="Area" class="form-control" v-model="filters.area" :areatype='area_type' />
            </div>
            <div class="form-group">
              <label class="control-label" for="metasite">Métasite</label>
              <metaplace-select id="metasite" class="form-control" v-model="filters.metaplace" />
            </div>
            <div class="checkbox">
              <label>
                <input type="checkbox" v-model="filters.gite">gite
              </label>
            </div>
            <div class="checkbox">
              <label>
                <input type="checkbox" v-model="filters.hidden">site confidentiel
              </label>
            </div>
            <div class="checkbox">
              <label>
                <input type="checkbox" v-model="filters.managed">site géré
              </label>
            </div>
            <div class="checkbox">
              <label>
                <input type="checkbox" v-model="filters.convention">Convention refuge
              </label>
            </div>
            {% comment %} <div class="form-group form-group-sm"> {% endcomment %}
              <div class="form-group" class="form-group">
                <label class="control-label" for="Precision">Type</label>
                <dict-select :options="dicts.TypePlace" v-model="filters.type" />
              </div>

              {% comment %} <label for="type">Type</label>
              <input class="form-control form-control-sm" type="text" id="type" name="type" placeholder="Type"
                v-model="filters.type" /> {% endcomment %}
              {% comment %} </div> {% endcomment %}
            <div class="form-group form-group-sm">
              <label for="searchSearch">Altitude mini</label>
              <input class="form-control" id="searchSearch" type="text" placeholder="Mini" v-model="filters.alt_min">
              <div class="form-group form-group-sm">
                <label for="searchSearch">Altitude maxi</label>
                <input class="form-control" id="searchSearch" type="text" placeholder="Maxi" v-model="filters.alt_max">
              </div>
            </div>
            <div class="checkbox">
              <label>
                <input type="checkbox" v-model="filters.only_mine" :true-value="userId" :false-value="null"> Créés par
                moi
              </label>
            </div>
            <input type="text" @click="search()" class="btn btn-block btn-primary btn-sm" value="Rechercher">
            {% comment %}
            <pre>[[filters]]</pre> {% endcomment %}
          </form>
        </div>
      </div>
    </div>
    <div class="col-xs-12 col-sm-8 col-md-5 col-lg-5">
      <div id="dataTable" class="panel panel-default table-responsive tableFixHead">
        <table id="place_results" class="table  table-fixed table-striped table-condensed map-navigation"
          cellspacing="0" width="100%">
          <thead>
            <tr>
              <th style="width: 80px;">Actions</th>
              <th>Nom</th>
              <th>Altitude</th>
              <th>Commune</th>
              <th>Métasite</th>
              <th>Type</th>
            </tr>
          </thead>
          <tbody>
            <tr v-for="f in dataList.features" @click="feature=f" :class="{'warning': f.properties.is_hidden}">
              <td>
                <a :href="`/place/${f.id}/detail`" class="text-primary"><i class="fa fa-info-circle"
                    title="Fiche détaillée" target="_blank"></i></a>
                <a :href="`/place/${f.id}/update`" class="text-info"><i class="fa fa-edit" title="Editer"
                    target="_blank"></i></a>
                <a :href="`/place/${f.id}/session/add`" class="text-success"><i class="fa fa-calendar-alt"
                    title="Ajouter une session" target="_blank"></i></a>
              </td>
              <td><a :href="`/place/${f.id}/detail`" class="text-primary" tatget="_blank"
                  title="Fiche détaillée">
                  <i v-if="f.properties.is_hidden" class="fas fa-fw fa-exclamation-triangle text-warning" data-toggle="tooltip" data-placement="bottom"  title="Site confidentiel"></i>
                  <i v-if="f.properties.is_managed" class="fas fa-fw fa-tasks text-muted" data-toggle="tooltip" data-placement="bottom" title="Site géré"></i>
                  [[f.properties.name]]
                </a></td>
              <td>[[f.properties.altitude]]</td>
              <td>[[f.properties.areas.find(r => r.area_type.code == 'mun')? f.properties.areas.find(r =>
                r.area_type.code ==
                'mun').name :
                '']]</td>
              <td><a v-if="f.properties.metaplace" :href="`/metaplace/${f.properties.metaplace.id_metaplace}/detail`"
                  target="_blank">[[f.properties.metaplace.name]]</a></td>
              <td>[[f.properties.type ? f.properties.type.descr : '']]</td>
            </tr>
            <tr v-if="loading">
              <td class="text-center text-muted" colspan="6">
                Chargement en cours...
              </td>
            </tr>
          </tbody>
        </table>
      </div>
      {% if debug %}
      {% comment %}
      <pre>[[data.features?data.features.find(x=>true):'']]</pre> {% endcomment %}

      {%endif%}
    </div>
    {% if filter %}
    <link rel="stylesheet" href="{% static 'css/select2-bootstrap.min.css' %}" />


    {% endif %} {#    <div class="col-sm-12 col-md-6 col-lg-5">        #} {# {% leaflet_map "main" %}#}
    {#     </div>    #}
    <div class="col-xs-12 col-sm-12 col-md-4 col-lg-5">
      <place-map :feature="feature"></place-map>
    </div>
  </div>
</div>
<script>


  $(document).ready(() => {
    const prefilledFilters = getQueryStrings();

    if ('{% if only_mine %}{{only_mine|yesno:"true,false"}}{% endif %}' === 'true') {
       prefilledFilters.onlyMine = true;
    };
    const vm = new Vue(ModelSearch(placeBaseUrl, userId, prefilledFilters));
  })

</script>
{% endblock %}
